icecat build failure: could not find node.js

DoneSubmitted by Christopher Howard.
Details
2 participants
  • Christopher Howard
  • Ricardo Wurmus
Owner
unassigned
Severity
normal
C
C
Christopher Howard wrote on 13 Jun 2020 05:29
(address . bug-guix@gnu.org)
cf0f36a5e8c9bc2d597d976e0ed041f077473721.camel@qlfiles.net
attempt to update icecat dies with build error.

ERROR

checking for nodejs... no
ERROR: could not find Node.js executable later than 8.11; ensure `node`
or `nodejs` is in PATH or set NODEJS in environment to point to an
executable.

Executing `mach bootstrap --no-system-changes` should
install a compatible version in ~/.mozbuild on most platforms.
If you believe this is a bug, https://mzl.la/2vLbXAv is a good
way
to file. More details: https://bit.ly/2BbyD1E
command "/gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-
5.0.16/bin/bash" "../icecat-68.9.0-guix0-preview1/configure" "
--prefix=/gnu/store/ia85ggvf8n8bpvp1s39zl0wyavza1lhh-icecat-68.9.0-
guix0-preview1" "--with-l10n-base=/tmp/guix-build-icecat-68.9.0-guix0-
preview1.drv-0/icecat-68.9.0-guix0-preview1/l10n" "--enable-default-
toolkit=cairo-gtk3" "--with-distribution-id=org.gnu" "--with-unsigned-
addon-scopes=app" "--enable-startup-notification" "--enable-pulseaudio"
"--disable-tests" "--disable-updater" "--disable-crashreporter" "
--disable-eme" "--disable-gconf" "--disable-debug" "--disable-debug-
symbols" "--with-clang-
path=/gnu/store/519wa00jk87r0bxv4znvk4fa5zh3hbkd-clang-9.0.1/bin/clang"
"--with-libclang-path=/gnu/store/519wa00jk87r0bxv4znvk4fa5zh3hbkd-
clang-9.0.1/lib" "--enable-official-branding" "--with-system-zlib" "
--with-system-bz2" "--with-system-jpeg" "--with-system-icu" "--enable-
system-pixman" "--enable-system-ffi" failed with status 1

GUIX COMMIT

christopher@nightshade ~/Manifests$ guix describe
Generation 23 Jun 12 2020 17:23:54 (current)
guix 9ae4bd0
branch: master
commit: 9ae4bd0b77db21d3e352560511d974bcc15df5db

MY SYSTEM INFO

christopher@nightshade
----------------------
OS: Guix System 9ae4bd0b77db21d3e352560511d974bcc15df5db x86_64
Host: GA-880GM-UD2H
Kernel: 5.4.43-gnu
Uptime: 2 days, 3 hours, 21 mins
Packages: 60 (guix-system), 149 (guix-user)
Shell: bash 5.0.16
Resolution: 1920x1200
DE: GNOME
Theme: Adwaita [GTK2/3]
Icons: Adwaita [GTK2/3]
Terminal: .gnome-terminal
CPU: AMD Athlon II X3 455 (3) @ 3.300GHz
GPU: NVIDIA GeForce 8400 GS Rev. 3
Memory: 3882MiB / 7960MiB

--
Christopher Howard
p: +1 (907) 374-0257
gpg: ADDEAADE5D607C8D (keys.gnupg.net)
R
R
Ricardo Wurmus wrote on 13 Jun 2020 17:04
(address . christopher@librehacker.com)
87mu57dn2d.fsf@elephly.net
Hi Christopher,

Toggle quote (6 lines)
> attempt to update icecat dies with build error.
>
> ERROR
>
> checking for nodejs... no

I’m very sorry about this.

I added the “--shared” configure flag to our node package to build the
shared library, but didn’t realize that this also results in the
executable to be removed.

I have reverted the commit and instead added the libnode package.

--
Ricardo
Closed
?
Your comment

This issue is archived.

To comment on this conversation send email to 41833@debbugs.gnu.org